org.apache.lucene.index

## Class TermVectorEntry

- java.lang.Object
- - org.apache.lucene.index.TermVectorEntry

-     public class TermVectorEntry
      extends java.lang.Object

  Convenience class for holding TermVector information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermVectorEntry()`
    `TermVectorEntry(java.lang.String field, java.lang.String term, int frequency, TermVectorOffsetInfo[] offsets, int[] positions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getField()`
    `int` | `getFrequency()`
    `TermVectorOffsetInfo[]` | `getOffsets()`
    `int[]` | `getPositions()`
    `java.lang.String` | `getTerm()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TermVectorEntry

          public TermVectorEntry()

    - #### TermVectorEntry

          public TermVectorEntry(java.lang.String field,
                                 java.lang.String term,
                                 int frequency,
                                 TermVectorOffsetInfo[] offsets,
                                 int[] positions)

  - ### Method Detail

    - #### getField

          public java.lang.String getField()

    - #### getFrequency

          public int getFrequency()

    - #### getOffsets

          public TermVectorOffsetInfo[] getOffsets()

    - #### getPositions

          public int[] getPositions()

    - #### getTerm

          public java.lang.String getTerm()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.